import { ElementRef, OnInit, QueryList } from "@angular/core";
import { DashboardService } from "../../dashboard.service";
import { DashboardPorletsService } from "../../dashboardPorlets.service";
import { ColorPickerComponent } from "@syncfusion/ej2-angular-inputs";
import { ColorPickerEventArgs } from "@syncfusion/ej2-inputs";
import { MatDialogRef } from "@angular/material/dialog";
import { DialogService } from "../../../service/dialog.service";
export declare class FieldFormatComponent implements OnInit {
    private DashboardService;
    dashboardPorletsService: DashboardPorletsService;
    private dialogService;
    dialogRef: MatDialogRef<FieldFormatComponent>;
    data: any;
    private pbf;
    colorPicker: QueryList<ColorPickerComponent>;
    colorPickerFont: QueryList<ColorPickerComponent>;
    PreviewColor: QueryList<ElementRef>;
    colorpickerBurden: QueryList<ColorPickerComponent>;
    colorpickerFontBurden: QueryList<ColorPickerComponent>;
    previewColorBurden: QueryList<ElementRef>;
    translation: any;
    alignList: Array<any>;
    fontSizeList: Array<any>;
    compareList: Array<any>;
    stringAndDateCompareList: Array<any>;
    fontFamilyList: Array<any>;
    compareSelect: string;
    config: any;
    Conditional: boolean;
    fieldslist: any[];
    currentField: any;
    currentFieldFormatInfo: any;
    private quarterFormat;
    private dateFormat;
    constructor(DashboardService: DashboardService, dashboardPorletsService: DashboardPorletsService, dialogService: DialogService, dialogRef: MatDialogRef<FieldFormatComponent>, data: any, pbf: any);
    ngOnInit(): void;
    private getConditionalData;
    openFormat(item: any): void;
    selectOption(value: any, type: any): void;
    private getFiledFormat;
    private optionFilter;
    changeAligh(code: any): void;
    private addColorPickerStyle;
    colorOnChange(args: ColorPickerEventArgs, type?: any): void;
    changeHideStatus(code: any): void;
    saveFormat(): void;
    close(): void;
    clearFormat_All(): void;
    clearFormat_Current(): void;
    disabledGrandTotal(): boolean;
    private setAlignList;
    private setFontSizeList;
    private setCompareList;
    private setStringAndDateCompareList;
    private setFontFamilyList;
    private setFormatGroupDefaultData;
    private setQuarterFormat;
    private setDateFormat;
}
